Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(64)

Issue 2885983003: [ios] TabCollectionItem (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 days, 13 hours ago by edchin
Modified:
3 days, 15 hours ago
CC:
chromium-reviews, marq+scrutinize_chromium.org, lpromero+watch_chromium.org, ios-reviews+clean_chromium.org, ios-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[ios] TabCollectionItem In this CL, the collection view controller no longer uses an external data source protocol. The collection view controller now has its own model, which is an array of TabCollectionItem. BUG=686770 Review-Url: https://codereview.chromium.org/2885983003 Cr-Commit-Position: refs/heads/master@{#472991} Committed: https://chromium.googlesource.com/chromium/src/+/66fd39bba716cb6aa352b9274a54333af05b5322

Patch Set 1 #

Total comments: 10

Patch Set 2 : Address comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+235 lines, -154 lines) Patch
M ios/clean/chrome/browser/ui/tab_collection/BUILD.gn View 2 chunks +3 lines, -1 line 0 comments Download
M ios/clean/chrome/browser/ui/tab_collection/tab_collection_consumer.h View 1 1 chunk +14 lines, -4 lines 0 comments Download
D ios/clean/chrome/browser/ui/tab_collection/tab_collection_data_source.h View 1 chunk +0 lines, -30 lines 0 comments Download
A ios/clean/chrome/browser/ui/tab_collection/tab_collection_item.h View 1 1 chunk +15 lines, -0 lines 0 comments Download
A ios/clean/chrome/browser/ui/tab_collection/tab_collection_item.mm View 1 chunk +13 lines, -0 lines 0 comments Download
M ios/clean/chrome/browser/ui/tab_collection/tab_collection_mediator.h View 1 chunk +1 line, -3 lines 0 comments Download
M ios/clean/chrome/browser/ui/tab_collection/tab_collection_mediator.mm View 1 4 chunks +46 lines, -33 lines 0 comments Download
M ios/clean/chrome/browser/ui/tab_collection/tab_collection_mediator_unittest.mm View 1 2 chunks +6 lines, -36 lines 0 comments Download
M ios/clean/chrome/browser/ui/tab_collection/tab_collection_view_controller.h View 1 chunk +3 lines, -2 lines 0 comments Download
M ios/clean/chrome/browser/ui/tab_collection/tab_collection_view_controller.mm View 1 6 chunks +46 lines, -17 lines 0 comments Download
A ios/clean/chrome/browser/ui/tab_collection/tab_collection_view_controller_unittest.mm View 1 1 chunk +73 lines, -0 lines 0 comments Download
M ios/clean/chrome/browser/ui/tab_grid/tab_grid_coordinator.mm View 1 chunk +0 lines, -1 line 0 comments Download
M ios/clean/chrome/browser/ui/tab_grid/tab_grid_mediator_unittest.mm View 1 2 chunks +4 lines, -8 lines 0 comments Download
M ios/clean/chrome/browser/ui/tab_grid/tab_grid_view_controller.mm View 2 chunks +4 lines, -1 line 0 comments Download
M ios/clean/chrome/browser/ui/tab_strip/tab_strip_coordinator.mm View 1 chunk +0 lines, -1 line 0 comments Download
M ios/showcase/tab_grid/sc_tab_grid_coordinator.mm View 1 3 chunks +7 lines, -17 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 27 (22 generated)
edchin
4 days ago (2017-05-18 14:39:52 UTC) #11
sczs
lgtm with some nits Maybe add a little bit more info to the issue Subject ...
3 days, 23 hours ago (2017-05-18 16:11:02 UTC) #14
edchin
https://codereview.chromium.org/2885983003/diff/80001/ios/clean/chrome/browser/ui/tab_collection/tab_collection_consumer.h File ios/clean/chrome/browser/ui/tab_collection/tab_collection_consumer.h (right): https://codereview.chromium.org/2885983003/diff/80001/ios/clean/chrome/browser/ui/tab_collection/tab_collection_consumer.h#newcode8 ios/clean/chrome/browser/ui/tab_collection/tab_collection_consumer.h:8: #import "ios/clean/chrome/browser/ui/tab_collection/tab_collection_item.h" On 2017/05/18 16:11:01, sczs wrote: > Can ...
3 days, 22 hours ago (2017-05-18 17:30:27 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2885983003/100001
3 days, 15 hours ago (2017-05-19 00:15:04 UTC) #24
commit-bot: I haz the power
3 days, 15 hours ago (2017-05-19 00:24:51 UTC) #27
Message was sent while issue was closed.
Committed patchset #2 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/66fd39bba716cb6aa352b9274a54...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06